require 'yaml'

current_dir = File.dirname(File.expand_path(__FILE__))
lib_path = File.join(current_dir, 'lib')
puts lib_path
$LOAD_PATH.unshift lib_path

require 'devise-proxy'

# For development only.
# use Rack::Reloader

config_file = File.join(current_dir, 'config', 'devise-proxy.yml')
if File.exists? config_file
	conf = YAML::load(File.open(config_file))
	run DeviseProxy::Proxy.new(conf)	
else
	puts "\nPlease create a config file prior to starting the proxy using the provided .sample file, at:\n\n\t#{config_file}\n\n"
	exit 1
end
