# -*- encoding: utf-8 -*-
# stub: devise-proxy 1.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "devise-proxy".freeze
  s.version = "1.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Preston Lee".freeze]
  s.date = "2014-10-10"
  s.description = "A standalone Rack Middleware application that authenticates a username/password against a devise-powered backend application before forwarding the original HTTP request to the same application. Authentication is done on *every* request, so it is advisable to use devise-proxy sparingly.".freeze
  s.email = "preston.lee@prestonlee.com".freeze
  s.executables = ["devise-socks.rb".freeze, "mock-socks.rb".freeze]
  s.files = ["bin/devise-socks.rb".freeze, "bin/mock-socks.rb".freeze]
  s.homepage = "https://github.com/preston/devise-proxy".freeze
  s.licenses = ["BSD".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "A standalone Rack Middleware application that authenticates a username/password against a devise-powered backend application before forwarding the original HTTP request to the same application.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rack>.freeze, [">= 1.5.2"])
    s.add_development_dependency(%q<rake>.freeze, [">= 10.3.2"])
  else
    s.add_dependency(%q<rack>.freeze, [">= 1.5.2"])
    s.add_dependency(%q<rake>.freeze, [">= 10.3.2"])
  end
end
